Package com.xebialabs.deployit.plugin.api.udm

# Interface Deployed<D extends Deployable,C extends Container>

Type Parameters:
  `D` - Something that is a `Deployable`
  `C` - Something that is a `Container`

All Superinterfaces:
  `ConfigurationItem`, `EmbeddedDeployedContainer<D,C>`, `Serializable`

All Known Subinterfaces:
  `Provisioned<D,C>`

All Known Implementing Classes:
  `BaseDeployed`, `BaseDeployedArtifact`, `BaseDeployedContainer`, `BaseDeployedInfrastructureAsCode`, `BaseProvisioned`, `BaseProvisionedContainer`

@TypeIcon("icons/types/udm.Deployed.svg") public interface Deployed<D extends Deployable,C extends Container> extends EmbeddedDeployedContainer<D,C>
Deployeds are configuration items (CIs) that represent `Deployable`s CIs in their deployed form on the target `Container`. Deployeds go through the following life-cycle:

- The deployed is created on a target container for the first time in an initial deployment.
- The deployed is upgraded to a new version in an upgrade deployment.
- The deployed is removed from the target container when it is undeployed.

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<ConfigurationItem>`
  `getBoundConfigurationItems()`
  `C`
  `getContainer()`
  Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
  `D`
  `getDeployable()`
  Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
  `void`
  `setBoundConfigurationItems(Set<ConfigurationItem> boundConfigurationItems)`
  `void`
  `setContainer(C container)`
  Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
  `void`
  `setDeployable(D deployable)`
  Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Method Details

  - ### getDeployable

    D getDeployable()
    Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    Specified by:
      `getDeployable` in interface `EmbeddedDeployedContainer<D extends Deployable,C extends Container>`
    Returns:
      The associated `Deployable` CI.

  - ### setDeployable

    void setDeployable(D deployable)
    Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    Specified by:
      `setDeployable` in interface `EmbeddedDeployedContainer<D extends Deployable,C extends Container>`
    Parameters:
      `deployable` - The associated `Deployable` CI.

  - ### getContainer

    C getContainer()
    Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    Specified by:
      `getContainer` in interface `EmbeddedDeployedContainer<D extends Deployable,C extends Container>`
    Returns:
      The target `Container`.

  - ### setContainer

    void setContainer(C container)
    Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    Specified by:
      `setContainer` in interface `EmbeddedDeployedContainer<D extends Deployable,C extends Container>`
    Parameters:
      `container` - The target `Container`.

  - ### setBoundConfigurationItems

    void setBoundConfigurationItems(Set<ConfigurationItem> boundConfigurationItems)

  - ### getBoundConfigurationItems

    Set<ConfigurationItem> getBoundConfigurationItems()